Get Date Range
curl --request GET \
--url https://api.athenahq.ai/api/v1/date-range \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/date-range"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/date-range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"min_date": "2024-01-15T08:20:17.844Z",
"max_date": "2024-12-01T14:30:45.123Z"
}Utilities
Get Date Range
Returns the date range with available data for one streaming schedule’s prompts. Omitting schedule_id selects Default, including all pre-cutover history.
GET
/
api
/
v1
/
date-range
Get Date Range
Query Parameters
The ID of the website to retrieve the date range for
Select one streaming schedule. Use the selection returned by GET /api/v1/prompt-schedules. Default includes all pre-cutover history and ad hoc runs; archived schedules retain results. The retired manual token is accepted as an alias of default. No All schedules selection.
Available options:
default, manual Filter by prompt status. If omitted, includes all prompts (active and paused).
Available options:
active, paused Was this page helpful?